locate.name <- function(name, cdf, type="all") {

  if (! is.cdf(cdf)) {
    stop("cdf must be of class cdf !")
  }

  if (is.na(name)) return(NULL)
  
  ## is it a name or directly a factor number ?
  if (is.character(name)) {
    i <- which(cdf$name.levels == name)
  } else {
    i <- name
  }
  
  if (length(i) < 1) stop(paste("Unknown gene ", name, "!"))
  
  if (type == "all") {
    loc <- which(cdf$name == i, arr.ind=TRUE)
  }
  if (type == "pm") {
    loc <- which(cdf$name == i, arr.ind=TRUE)
    
    a.i <- which(cdf$pbase.levels == "A")
    t.i <- which(cdf$pbase.levels == "T")
    g.i <- which(cdf$pbase.levels == "G")
    c.i <- which(cdf$pbase.levels == "C")
        
    loc <- loc[which(
                     ((cdf$pbase[loc] == a.i) & (cdf$tbase[loc] == t.i)) |
                     ((cdf$pbase[loc] == t.i) & (cdf$tbase[loc] == a.i)) |
                     ((cdf$pbase[loc] == g.i) & (cdf$tbase[loc] == c.i)) |
                     ((cdf$pbase[loc] == c.i) & (cdf$tbase[loc] == g.i))
                     , arr.ind=T),
               ]
  }
  if (type == "mm") {
    loc <- which(cdf$name == i, arr.ind=TRUE)
    
    a.i <- which(cdf$pbase.levels == "A")
    t.i <- which(cdf$pbase.levels == "T")
    g.i <- which(cdf$pbase.levels == "G")
    c.i <- which(cdf$pbase.levels == "C")

    loc <- loc[which(
                     ((cdf$pbase[loc] == a.i) & (cdf$tbase[loc] != t.i)) |
                     ((cdf$pbase[loc] == t.i) & (cdf$tbase[loc] != a.i)) |
                     ((cdf$pbase[loc] == g.i) & (cdf$tbase[loc] != c.i)) |
                     ((cdf$pbase[loc] == c.i) & (cdf$tbase[loc] != g.i))
                     , arr.ind=T),
               ]
  }
  if (! exists("loc")) {
    warning("unknown type specified")
  }
  ##l <- loc[order(cdf$atom[loc]),]
  ##class(l) <- "location"
  ##return(l)
  
  ##return(loc[order(cdf$atom[loc]),, drop=F])
  
  return(loc[order(cdf$atom[loc]),, drop=F])
  ##return(loc)
}










