probe.profile <- function(x,probe.set.id,chips=1:x$nchips,by.chip=T,
                          pm.col="green",mm.col="red",global.ylim=T,...){
  index <- (1:x$nprob)[x$id==probe.set.id]
  probes <- x$numbers[index]
  o <- order(probes)
  index <- index[o]
  probes <- probes[o]
  GYLIM <- log2(range(rbind(x$pm[index,chips],x$mm[index,chips])))
  if(by.chip){
    for(i in chips){
      p <- log2(x$pm[index,i])
      m <- log2(x$mm[index,i])
      if(global.ylim) YLIM <- GYLIM else YLIM <- range(c(p,m))
      plot(probes,p,type="n",ylim=YLIM,
           xlab="probe number",ylab="log intensity",
           main=x$chip.names[i],...)
      points(probes,p,pch="p",col=pm.col,type="b")
      points(probes,m,pch="m",col=mm.col,type="b")
    }
  }
  else{
    for(i in 1:length(index)){
      p <- log2(x$pm[index[i],chips])
      m <- log2(x$mm[index[i],chips])
      if(global.ylim) YLIM <- GYLIM else YLIM <- range(c(p,m))
      plot(chips,p,type="n",ylim=YLIM,
           xlab="chip",ylab="log intensity",
           main=paste("probe",as.character(probes[i])),xaxt="n")
      axis(1,at=chips,labels=x$chip.names)
      points(chips,p,pch="p",col=pm.col,type="b")
      points(chips,m,pch="m",col=mm.col,type="b")
    }
  }
}
