.First.lib <- function(lib, pkg) library.dynam("affy", pkg, lib)

read.celfile <- function(file, compress=FALSE, sd=TRUE, name=NULL,
                         rm.mask=F) {
  
  ff <- list(intensity=NaN,
             sd=NA)
  ff$intensity <- .Call("readCELfile", as.character(file),
                        as.integer(1), as.integer(compress))
  if (sd) {
    ff$sd <- .Call("readCELfile",as.character(file),as.integer(2),
                   as.integer(compress))
  }

  ff$masks <- .Call("getIndexExtraFromCEL", as.character(file),
                     as.character("MASKS"),
                     as.integer(compress))

  ff$outliers <- .Call("getIndexExtraFromCEL", as.character(file),
                       as.character("OUTLIERS"),
                        as.integer(compress))

  class(ff) <- "cel"

  if (rm.mask) {
    ff$intensity[ff$masks] <- NA
    ff$sd[ff$masks] <- NA
    ff$intensity[ff$outliers] <- NA
    ff$sd[ff$outliers] <- NA
  }

  if (is.null(name)) {
    name <- sub("^/?([^/]*/)*", "", file, extended=T)
  }
  
  attr(ff, "name") <- name
  return(ff)
}
