\name{ReadAffy}
\alias{ReadAffy}

\title{Affymetrix Data Input}
\description{Reads a file containing probe pair information in table format
  and creates an Affymetrix information object
  (\code{\link{probe.level.object}}). 
}
\usage{
ReadAffy(CDFfile=NULL, CELfiles=NULL,compress.cel=FALSE,compress.cdf=FALSE,
         path="", verbose=T, chip.names=NULL)
}
\arguments{
  \item{CDFfile}{Name of CDF file.}
  \item{CELfiles}{character vector containing the CEL files.}
  \item{compress.cel}{logical value. If \code{TRUE} assumes CEL files are compressed}
  \item{compress.cdf}{logical value. If \code{TRUE} assumes CDF files are compressed}
  \item{path}{path where the CEL and CDF files are located.}
  \item{verbose}{logical value. If \code{TRUE} messages are displayed.}
  \item{chip.names}{vector of characters containing the names to be used
    to represent the arrays/chips in CEL files.}
}
\details{
  This function is ment to be called with no arguments. The CDF and CEL
  files should be put in the working directory. However, the arguments
  give the user great flexibility.
  
  If the chip.names are \code{NULL} the names of the CEL files will be
  used as chip.names.

}
\value{
  a \code{\link{probe.level.object}} }
\references{ Affymetrix (1999) Gene Chip Analysis Suite User Guide
  (Affymetrix, Santa Clara)}
\author{Rafael A. Irizarry}
\seealso{\code{\link{read.cdffile}},\code{\link{read.celfile}},\code{\link{probe.level.object}}}
\keyword{file}




