\name{convert}
\alias{convert}

\title{Convert cdf/cel objects}
\description{Converts cdf and cel objects into a (\code{\link{probe.level.object}}). 
}
\usage{
convert(cdf, cel, chip.names=1:length(cel))
}
\arguments{
  \item{cdf}{A cdf object.}
  \item{cel}{A cel object or list of cel objects.}
  \item{chip.names}{Names for the arrays.}
}

\value{
  a \code{\link{probe.level.object}} }
\references{ Affymetrix (1999) Gene Chip Analysis Suite User Guide
  (Affymetrix, Santa Clara)}
\author{Rafael A. Irizarry}
\example{
  data(CDF.example)
  data(listcel)
  ##this will give a warning because the example CDF is a not a "real" CDF
  ##plob.example <- convert(CDF.example,listcel)
}
\seealso{\code{\link{read.cdffile}},\code{\link{read.celfile}},\code{\link{probe.level.object}}}
\keyword{file}




