\name{locate.name}
\alias{locate.name}
\title{Locates probe pairs corresponding to a name}
\description{
  Locates where are located the probe pair corresponding to a given name.
}
\usage{
locate.name(name,cdf,type="all")
}
\arguments{
  \item{name}{The name of the probe pair you are interested in.}
  \item{cdf}{A cdf object. Used to determine where data corresponding to
    name can be found.}
  \item{type}{The type of probe you are interested in. Values for this
    can be "all", "pm" or "mm".}
}
\value{
  A two column matrix with the x coordinates in the first and y
  coordinates in the second. The rows represent the different probe
  pairs corresponding to the probe defines by the given name.
}
\seealso{
  \code{\cite{plot.location}} to see where is a location on an array.
}
\examples{
  ## loading data

  data(CDF.example)
  ## or if you want to use your own preprocessed CDF file
  ## use the unction read.cdffile
  
  ## getting a location object
  l <- locate.name("A28102_at",CDF.example)

}
\keyword{manip}

