\name{plot.pps}
\alias{plot.pps}
\title{Plot probe pair set values}
\description{
  Plot microarray related data (or a chip itself) in a picture. This is
  described in the documentation from a well known oligonucleotides
  arrays as an 'Intensity Line Graph' (or 'Intensity Ratio Graph' if the
  parameter 'ratio' is TRUE (shouldn't the name be 'Ratio Line Graph' ?)). 
}
\usage{
plot.pps(pps, xlab="Probe pair", ylab="Intensity",
         main=attr("name",pps),ratio=FALSE,
         col.pm="red", col.mm="blue", col.ratio="green", ylim=range(pps))
}
\arguments{
  \item{pps}{an object of class \code{pps}}
  \item{xlab}{The label on the x-axis}
  \item{ylab}{The label on the y-axis}
  \item{main}{The main title for the plot}
  \item{ratio}{If ratio is TRUE, then we go for the ratio thing}
  \item{col.pm}{Color for the perfect matches}
  \item{col.mm}{Color for the mismatches}
  \item{col.ratio}{Color for the ratio (only relevant when ratio=TRUE)}
  \item{ylim}{Range for the y-axis}
}
\author{
  Laurent
}
\examples{
  ## loading data
  data(listcel)
  data(CDF.example)

  ## getting a pps object from the first CEL in listcel
  p <- get.pps("A28102_at", CDF.example, listcel[[1]])

  ## plot
  plot.pps(p)
  ## identical to the previous statement
  plot(p)
}
\keyword{hplot}
